import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiBserviceSnapshotListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.BServiceSnapshotAPIResultNM]
    entry_count: int


class CloudapiBserviceSnapshotListProtocol(_base.BasePostAPIFunctionProtocol):
    def snapshot_list(
        self,
        *,
        bservice_id: int,
    ) -> CloudapiBserviceSnapshotListResultModel:
        ...
